Subject: Re: [PATCH] Detached HEAD (experimental)

From: "J. Bruce Fields" <[email-masked]>
Date: Sat, 6 Jan 2007 13:58:36 -0500

On Tue, Jan 02, 2007 at 04:34:45PM -0800, Carl Worth wrote:
> And now I start getting confused. If git-checkout wants a branch, and
> git-branch says that "origin/next" is a branch, then why won't this
> work? OK, I know that something's special about origin/next, (it's a
> "remote-tracking branch" and I needed a -r option to get git-branch to
> list it for me), but nothing in the git-checkout documentation would
> lead me to expect that "git checkout origin/next" wouldn't work.

If we use the word "branches" for things that you can check out and
commit to, then "remote-tracking branches" are not actually branches.
Argh!

What would be better terminology here?

--b.